wxWidgets: wxWebViewFactory Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxWebViewFactory Class Referenceabstract
Class List by Category » WebView

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.x86_64/src/wxWidgets-3.0.5.1/interface/wx/webview.h>`

Inheritance diagram for wxWebViewFactory:
[legend]

## Detailed Description

An abstract factory class for creating wxWebView backends.

Each implementation of wxWebView should have its own factory.

Since
  2.9.5

  ##

Library: wxWebView

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxWebView

## Public Member Functions
virtual wxWebView * | Create ()=0
| Function to create a new wxWebView with two-step creation, wxWebView::Create should be called on the returned object. More...
virtual wxWebView * | Create (wxWindow *parent, wxWindowID id, const wxString &url=wxWebViewDefaultURLStr, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxString &name=wxWebViewNameStr)=0
| Function to create a new wxWebView with parameters. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Member Function Documentation

## ◆ Create() [1/2]

virtual wxWebView* wxWebViewFactory::Create | ( |  | ) |
| pure virtual

Function to create a new wxWebView with two-step creation, wxWebView::Create should be called on the returned object.

Returns
  the created wxWebView

## ◆ Create() [2/2]

virtual wxWebView* wxWebViewFactory::Create | ( | wxWindow * | parent,
|  | wxWindowID | id,
|  | const wxString & | url = `wxWebViewDefaultURLStr`,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `0`,
|  | const wxString & | name = `wxWebViewNameStr`
| ) |  |
| pure virtual

Function to create a new wxWebView with parameters.

Parameters

  parent | Parent window for the control
  id | ID of this control
  url | Initial URL to load
  pos | Position of the control
  size | Size of the control
  style | Window style. For generic window styles, please see wxWindow.
  name | Window name.

Returns
  the created wxWebView